Skip to content

Get a payment record of an order

GET
/orders/{order_id}/transactions/{transaction_id}
curl --request GET \
--url https://acme.mykreezalid.com/front_api/v1/orders/4242/transactions/4243 \
--header 'Authorization: Bearer <token>'

Returns one payment record of an order. The signed-in member must be the customer or the vendor of the order.

order_id
required
integer

Identifier of the order.

Example

4242
transaction_id
required
integer

Identifier of the payment record.

Example

4243

The payment record.

Media typeapplication/json

A payment record attached to an order (payment, refund, payout…), with the request and response exchanged with the payment provider.

object
id
integer
ref_id

Identifier of the order.

integer
customer_id

Identifier of the member the record belongs to.

integer
nullable
psp

Payment provider.

string
nullable
psp_config_id

Identifier of the payment provider configuration of the marketplace.

integer
nullable
psp_id

Identifier of the member at the payment provider.

string
nullable
psp_transaction_id

Identifier of the transaction at the payment provider.

string
nullable
type

Kind of record.

string
nullable
total
number
nullable
currency
string
nullable
fees
number
nullable
status
string
nullable
details

Free-text details.

string
nullable
request

Request sent to the payment provider.

string
nullable
response

Response of the payment provider.

string
nullable
created
string format: date-time

Example

{
"id": 4242,
"ref_id": 4243,
"customer_id": 4244,
"total": 129.9,
"currency": "EUR"
}

No signed-in member, or the record does not exist on this order or the signed-in member is neither the customer nor the vendor of the order (message transaction not found).

Media typeapplication/json

Error body returned by the Front API when it refuses a request.

object
code

HTTP status code, repeated in the body.

integer
status
string
message

Human-readable reason.

string

Example

{
"code": 403,
"status": "error",
"message": "Token not found in request"
}